summaryrefslogtreecommitdiffstats
path: root/system/sbotools/sbotools.SlackBuild
diff options
context:
space:
mode:
author Jacob Pipkin <j@dawnrazor.net>2013-02-13 18:40:57 -0500
committer dsomero <xgizzmo@slackbuilds.org>2013-02-13 19:34:04 -0500
commit73706918a5e0a4bb178a43f4a9d8e2f3855163a7 (patch)
treef34a6997271530dfa99a9f317d0872819f87c5da /system/sbotools/sbotools.SlackBuild
parent1af2ba7bf506ab3a261d1bb1b016e6b65a1f944f (diff)
downloadslackbuilds-73706918a5e0a4bb178a43f4a9d8e2f3855163a7.tar.gz
slackbuilds-73706918a5e0a4bb178a43f4a9d8e2f3855163a7.tar.xz
system/sbotools: Added (ports-like interface to slackbuilds.org)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'system/sbotools/sbotools.SlackBuild')
-rw-r--r--system/sbotools/sbotools.SlackBuild75
1 files changed, 75 insertions, 0 deletions
diff --git a/system/sbotools/sbotools.SlackBuild b/system/sbotools/sbotools.SlackBuild
new file mode 100644
index 0000000000..731b2300a4
--- /dev/null
+++ b/system/sbotools/sbotools.SlackBuild
@@ -0,0 +1,75 @@
+#!/usr/bin/bash
+#
+# Slackware build script for <sbotools>
+# Written by Jacob Pipkin <j@dawnrazor.net>
+# Licensed under the WTFPL <http://sam.zoy.org/wtfpl/COPYING>
+
+PRGNAM=sbotools
+VERSION=${VERSION:-1.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=$PRGNAM
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o \
+ -perm 400 \) -exec chmod 644 {} \;
+
+( cd SBO-Lib
+ perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=site \
+ INSTALLVENDORMAN1DIR=/usr/man/man1 \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+ make
+ make test
+ make install DESTDIR=$PKG
+)
+
+SCRIPTS="check clean config find install remove snap upgrade"
+MANS="man1 man5"
+
+mkdir -p $PKG/usr/sbin
+for i in $SCRIPTS; do
+ cp sbo$i $PKG/usr/sbin/sbo$i
+done
+
+for i in $MANS; do
+ mkdir -p $PKG/usr/man/$i
+ cp $i/* $PKG/usr/man/$i/
+done
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/SBO-Lib
+cp -a \
+ SBO-Lib/README \
+ $PKG/usr/doc/$PRGNAM-$VERSION/SBO-Lib
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-noarch-$BUILD$TAG.${PKGTYPE:-tgz}